<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getSkillLevel](./bitburner.bladeburner.getskilllevel.md)

## Bladeburner.getSkillLevel() method

Get skill level.

**Signature:**

```typescript
getSkillLevel(skillName: BladeburnerSkillName): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

skillName


</td><td>

[BladeburnerSkillName](./bitburner.bladeburnerskillname.md)


</td><td>

Name of skill. Case-sensitive and must be an exact match.


</td></tr>
</tbody></table>

**Returns:**

number

Level in the specified skill.

## Remarks

RAM cost: 4 GB

This function returns your level in the specified skill.

The function returns -1 if an invalid skill name is passed in.

